<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.goldenwater.slaj.hidd.mapper.TBusiHiddThrEvaMapper">
    <resultMap type="com.goldenwater.slaj.hidd.domain.TBusiHiddThrEva" id="TBusiHiddThrEvaResult">
        <result property="guid" column="guid"/>
        <result property="orgGuid" column="org_guid"/>
        <result property="createTime" column="create_time"/>
        <result property="startDate" column="start_date"/>
        <result property="endDate" column="end_date"/>
        <result property="dateType" column="date_type"/>
        <result property="dateYear" column="date_year"/>
        <result property="dateQuarter" column="date_quarter"/>
        <result property="yhFx" column="yh_fx"/>
        <result property="pcl" column="pcl"/>
        <result property="ybl" column="ybl"/>
        <result property="orgNum" column="org_num"/>
        <result property="hiddOrg" column="hidd_org"/>
        <result property="oneOrgNum" column="one_org_num"/>
        <result property="oneOhiddOrgZb" column="one_ohidd_org_zb"/>
        <result property="twoOrgNum" column="two_org_num"/>
        <result property="twoOhiddOrgZb" column="two_ohidd_org_zb"/>
        <result property="thrOrgNum" column="thr_org_num"/>
        <result property="thrOhiddOrgZb" column="thr_ohidd_org_zb"/>
        <result property="quaHidd" column="qua_hidd"/>
        <result property="notUpHidd" column="not_up_hidd"/>
        <result property="ingUpHidd" column="ing_up_hidd"/>
        <result property="overdueHidd" column="overdue_hidd"/>
        <result property="finUpHidd" column="fin_up_hidd"/>
        <result property="hisHidd" column="his_hidd"/>
        <result property="hisZd" column="his_zd"/>
        <result property="hisYb" column="his_yb"/>
        <result property="hisZg" column="his_zg"/>
        <result property="hisZgZd" column="his_zg_zd"/>
        <result property="hisZgYb" column="his_zg_yb"/>
        <result property="hisYbZgl" column="his_yb_zgl"/>
        <result property="hisZdZgl" column="his_zd_zgl"/>
        <result property="hisZhZgl" column="his_zh_zgl"/>
        <result property="conOhiddOrg" column="con_ohidd_org"/>
        <result property="quaOhiddOrg" column="qua_ohidd_org"/>
        <result property="jdPjHidd" column="jd_pj_hidd"/>
        <result property="lbl" column="lbl"/>
        <result property="ybZgl" column="yb_zgl"/>
        <result property="zdZgl" column="zd_zgl"/>
        <result property="zhZgl" column="zh_zgl"/>
        <result property="oneOhiddOrg" column="one_ohidd_org"/>
        <result property="twoOhiddOrg" column="two_ohidd_org"/>
        <result property="thrOhiddOrg" column="thr_ohidd_org"/>
    </resultMap>
    <sql id="selectTBusiHiddThrEvaVo">
        select guid, org_guid, create_time, start_date, end_date, date_type, date_year, date_quarter,
               yh_fx, pcl, ybl, org_num, hidd_org, one_org_num, one_ohidd_org_zb,
               two_org_num, two_ohidd_org_zb, thr_org_num, thr_ohidd_org_zb,
               qua_hidd, not_up_hidd, ing_up_hidd, overdue_hidd, fin_up_hidd,
               his_hidd, his_zd, his_yb, his_zg, his_zg_zd, his_zg_yb,
               his_yb_zgl, his_zd_zgl, his_zh_zgl, con_ohidd_org, qua_ohidd_org,
               jd_pj_hidd, lbl, yb_zgl, zd_zgl, zh_zgl,
               one_ohidd_org, two_ohidd_org, thr_ohidd_org
        from t_busi_hidd_thr_eva
    </sql>
    <select id="selectTBusiHiddThrEvaById" parameterType="String" resultMap="TBusiHiddThrEvaResult">
        <include refid="selectTBusiHiddThrEvaVo"/>
        where guid = #{guid}
    </select>
    <select id="selectTBusiHiddThrEvaList" parameterType="com.goldenwater.slaj.hidd.domain.TBusiHiddThrEva" resultMap="TBusiHiddThrEvaResult">
        <include refid="selectTBusiHiddThrEvaVo"/>
        <where>
            <if test="orgGuid != null and orgGuid != ''">AND org_guid = #{orgGuid}</if>
            <if test="createTime != null and createTime != ''">AND create_time = #{createTime}</if>
            <if test="dateType != null and dateType != ''">AND date_type = #{dateType}</if>
            <if test="dateYear != null and dateYear != ''">AND date_year = #{dateYear}</if>
        </where>
    </select>
    <insert id="insertTBusiHiddThrEva" parameterType="com.goldenwater.slaj.hidd.domain.TBusiHiddThrEva">
        insert into t_busi_hidd_thr_eva (guid, org_guid, create_time, start_date, end_date, date_type, date_year, date_quarter, yh_fx, pcl, ybl, org_num, hidd_org, one_org_num, one_ohidd_org_zb, two_org_num, two_ohidd_org_zb, thr_org_num, thr_ohidd_org_zb, qua_hidd, not_up_hidd, ing_up_hidd, overdue_hidd, fin_up_hidd, his_hidd, his_zd, his_yb, his_zg, his_zg_zd, his_zg_yb, his_yb_zgl, his_zd_zgl, his_zh_zgl, con_ohidd_org, qua_ohidd_org, jd_pj_hidd, lbl, yb_zgl, zd_zgl, zh_zgl, one_ohidd_org, two_ohidd_org, thr_ohidd_org)
        values (#{guid}, #{orgGuid}, #{createTime}, #{startDate}, #{endDate}, #{dateType}, #{dateYear}, #{dateQuarter}, #{yhFx}, #{pcl}, #{ybl}, #{orgNum}, #{hiddOrg}, #{oneOrgNum}, #{oneOhiddOrgZb}, #{twoOrgNum}, #{twoOhiddOrgZb}, #{thrOrgNum}, #{thrOhiddOrgZb}, #{quaHidd}, #{notUpHidd}, #{ingUpHidd}, #{overdueHidd}, #{finUpHidd}, #{hisHidd}, #{hisZd}, #{hisYb}, #{hisZg}, #{hisZgZd}, #{hisZgYb}, #{hisYbZgl}, #{hisZdZgl}, #{hisZhZgl}, #{conOhiddOrg}, #{quaOhiddOrg}, #{jdPjHidd}, #{lbl}, #{ybZgl}, #{zdZgl}, #{zhZgl}, #{oneOhiddOrg}, #{twoOhiddOrg}, #{thrOhiddOrg})
    </insert>
    <update id="updateTBusiHiddThrEva" parameterType="com.goldenwater.slaj.hidd.domain.TBusiHiddThrEva">
        update t_busi_hidd_thr_eva
        <set>
            <if test="orgGuid != null">org_guid = #{orgGuid},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="startDate != null">start_date = #{startDate},</if>
            <if test="endDate != null">end_date = #{endDate},</if>
            <if test="dateType != null">date_type = #{dateType},</if>
            <if test="dateYear != null">date_year = #{dateYear},</if>
            <if test="dateQuarter != null">date_quarter = #{dateQuarter},</if>
            <if test="yhFx != null">yh_fx = #{yhFx},</if>
            <if test="pcl != null">pcl = #{pcl},</if>
            <if test="ybl != null">ybl = #{ybl},</if>
            <if test="orgNum != null">org_num = #{orgNum},</if>
            <if test="hiddOrg != null">hidd_org = #{hiddOrg},</if>
            <if test="oneOrgNum != null">one_org_num = #{oneOrgNum},</if>
            <if test="oneOhiddOrgZb != null">one_ohidd_org_zb = #{oneOhiddOrgZb},</if>
            <if test="twoOrgNum != null">two_org_num = #{twoOrgNum},</if>
            <if test="twoOhiddOrgZb != null">two_ohidd_org_zb = #{twoOhiddOrgZb},</if>
            <if test="thrOrgNum != null">thr_org_num = #{thrOrgNum},</if>
            <if test="thrOhiddOrgZb != null">thr_ohidd_org_zb = #{thrOhiddOrgZb},</if>
            <if test="quaHidd != null">qua_hidd = #{quaHidd},</if>
            <if test="notUpHidd != null">not_up_hidd = #{notUpHidd},</if>
            <if test="ingUpHidd != null">ing_up_hidd = #{ingUpHidd},</if>
            <if test="overdueHidd != null">overdue_hidd = #{overdueHidd},</if>
            <if test="finUpHidd != null">fin_up_hidd = #{finUpHidd},</if>
            <if test="hisHidd != null">his_hidd = #{hisHidd},</if>
            <if test="hisZd != null">his_zd = #{hisZd},</if>
            <if test="hisYb != null">his_yb = #{hisYb},</if>
            <if test="hisZg != null">his_zg = #{hisZg},</if>
            <if test="hisZgZd != null">his_zg_zd = #{hisZgZd},</if>
            <if test="hisZgYb != null">his_zg_yb = #{hisZgYb},</if>
            <if test="hisYbZgl != null">his_yb_zgl = #{hisYbZgl},</if>
            <if test="hisZdZgl != null">his_zd_zgl = #{hisZdZgl},</if>
            <if test="hisZhZgl != null">his_zh_zgl = #{hisZhZgl},</if>
            <if test="conOhiddOrg != null">con_ohidd_org = #{conOhiddOrg},</if>
            <if test="quaOhiddOrg != null">qua_ohidd_org = #{quaOhiddOrg},</if>
            <if test="jdPjHidd != null">jd_pj_hidd = #{jdPjHidd},</if>
            <if test="lbl != null">lbl = #{lbl},</if>
            <if test="ybZgl != null">yb_zgl = #{ybZgl},</if>
            <if test="zdZgl != null">zd_zgl = #{zdZgl},</if>
            <if test="zhZgl != null">zh_zgl = #{zhZgl},</if>
            <if test="oneOhiddOrg != null">one_ohidd_org = #{oneOhiddOrg},</if>
            <if test="twoOhiddOrg != null">two_ohidd_org = #{twoOhiddOrg},</if>
            <if test="thrOhiddOrg != null">thr_ohidd_org = #{thrOhiddOrg},</if>
        </set>
        where guid = #{guid}
    </update>
    <delete id="deleteTBusiHiddThrEvaById" parameterType="String">
        delete from t_busi_hidd_thr_eva where guid = #{guid}
    </delete>
    <delete id="deleteTBusiHiddThrEvaByIds" parameterType="String">
        delete from t_busi_hidd_thr_eva where guid in
        <foreach item="guid" collection="array" open="(" separator="," close=")">
            #{guid}
        </foreach>
    </delete>
</mapper>
